Your invite link and how many invitees signed up (3 unlock the 50M US dataset and the co-op file)
curl --request GET \
--url https://idle.api.datacircle.dev/me/invites/ \
--header 'Authorization: <api-key>'import requests
url = "https://idle.api.datacircle.dev/me/invites/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://idle.api.datacircle.dev/me/invites/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invite_link": "<string>",
"signed_up": 123,
"needed": 123,
"unlocks": "<string>",
"unlocks_ranks": [
"<string>"
]
}Datacircle
Your invite link and how many invitees signed up (3 unlock the 50M US dataset and the co-op file)
GET
/
me
/
invites
/
Your invite link and how many invitees signed up (3 unlock the 50M US dataset and the co-op file)
Authorizations
Token <your API key>
Response
200 - application/json
{"invite_link": ..., "signed_up": 0, "needed": 3, "unlocks": ..., "unlocks_ranks": ["coop", "us_50m"]}
Your own signup link: whoever signs up through it is your invitee.
How many people you invited have signed up and verified their email. People on your own email domain and deactivated accounts don't count.
How many signed-up invitees unlock the files in unlocks_ranks.
What reaching needed unlocks, in words, and that 50 USD of credit bought unlocks only the co-op file.
The ranks in GET /files/ that reaching needed unlocks.